# DataExchange
TKIGES
IGESSolid

# IGESSolid_HArray1OfLoop Class Reference

`#include <IGESSolid_HArray1OfLoop.hxx>`

## Public Member Functions

Standard_EXPORT | IGESSolid_HArray1OfLoop (const Standard_Integer Low, const Standard_Integer Up)
Standard_EXPORT | IGESSolid_HArray1OfLoop (const Standard_Integer Low, const Standard_Integer Up, const Handle(IGESSolid_Loop)&V)
Standard_EXPORT void | Init (const Handle(IGESSolid_Loop)&V)
Standard_Integer | Length () const
Standard_Integer | Lower () const
Standard_Integer | Upper () const
void | SetValue (const Standard_Integer Index, const Handle(IGESSolid_Loop)&Value)
const Handle_IGESSolid_Loop & | Value (const Standard_Integer Index) const
Handle_IGESSolid_Loop & | ChangeValue (const Standard_Integer Index)
const IGESSolid_Array1OfLoop & | Array1 () const
IGESSolid_Array1OfLoop & | ChangeArray1 ()
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

IGESSolid_Array1OfLoop | myArray

## Constructor & Destructor Documentation

Standard_EXPORT IGESSolid_HArray1OfLoop::IGESSolid_HArray1OfLoop | ( | const Standard_Integer | Low,
|  | const Standard_Integer | Up
| ) |

Standard_EXPORT IGESSolid_HArray1OfLoop::IGESSolid_HArray1OfLoop | ( | const Standard_Integer | Low,
|  | const Standard_Integer | Up,
|  | const Handle(IGESSolid_Loop)& | V
| ) |

## Member Function Documentation

const IGESSolid_Array1OfLoop& IGESSolid_HArray1OfLoop::Array1 | ( |  | ) | const

IGESSolid_Array1OfLoop& IGESSolid_HArray1OfLoop::ChangeArray1 | ( |  | ) |

Handle_IGESSolid_Loop& IGESSolid_HArray1OfLoop::ChangeValue | ( | const Standard_Integer | Index | ) |

Standard_EXPORT const IGESSolid_HArray1OfLoop::Handle | ( | Standard_Type |  | ) | const

Standard_EXPORT void IGESSolid_HArray1OfLoop::Init | ( | const Handle(IGESSolid_Loop)& | V | ) |

Standard_Integer IGESSolid_HArray1OfLoop::Length | ( |  | ) | const

Standard_Integer IGESSolid_HArray1OfLoop::Lower | ( |  | ) | const

void IGESSolid_HArray1OfLoop::SetValue | ( | const Standard_Integer | Index,
|  | const Handle(IGESSolid_Loop)& | Value
| ) |

Standard_Integer IGESSolid_HArray1OfLoop::Upper | ( |  | ) | const

const Handle_IGESSolid_Loop& IGESSolid_HArray1OfLoop::Value | ( | const Standard_Integer | Index | ) | const

## Field Documentation

IGESSolid_Array1OfLoop IGESSolid_HArray1OfLoop::myArray `[private]`

The documentation for this class was generated from the following file:

- IGESSolid_HArray1OfLoop.hxx